package jsug.javafx.ui;

import javafx.scene.Group;
import javafx.scene.effect.DropShadow;
import javafx.scene.paint.Color;
import javafx.scene.shape.Rectangle;
import javafx.scene.shape.Circle;
import javafx.stage.Stage;
import javafx.scene.Scene;


def group = Group {
    effect: DropShadow {
        offsetX: 5 offsetY: 5
        color: Color.BLACK;
    }
    content: [
        Rectangle {
            x: 10, y: 20
            width: 40 height: 40
            fill: Color.GREEN
        },
        Circle {
            radius: 20
            centerX: 90
            centerY: 40
            fill: Color.BLUE;
        }
    ]
}

Stage {
    title: "Effects"
    width: 110 height: 110
    visible: true
    scene: Scene { content: group }
}
